/**
 * Exception raised when trying to revert migration that is not possible
 * to revert.
 */
export class NonReversibleMigrationError extends Error {
    /**
     * @param {string} message
     */
    constructor(message: string);
    code: string;
}
export namespace NonReversibleMigrationError {
    const code: string;
}
/**
 * Exception raised when repo is not initialized.
 */
export class NotInitializedRepoError extends Error {
    /**
     * @param {string} message
     */
    constructor(message: string);
    code: string;
}
export namespace NotInitializedRepoError {
    const code_1: string;
    export { code_1 as code };
}
/**
 * Exception raised when required parameter is not provided.
 */
export class RequiredParameterError extends Error {
    /**
     * @param {string} message
     */
    constructor(message: string);
    code: string;
}
export namespace RequiredParameterError {
    const code_2: string;
    export { code_2 as code };
}
/**
 * Exception raised when value is not valid.
 */
export class InvalidValueError extends Error {
    /**
     * @param {string} message
     */
    constructor(message: string);
    code: string;
}
export namespace InvalidValueError {
    const code_3: string;
    export { code_3 as code };
}
/**
 * Exception raised when config is not passed.
 */
export class MissingRepoOptionsError extends Error {
    /**
     * @param {string} message
     */
    constructor(message: string);
    code: string;
}
export namespace MissingRepoOptionsError {
    const code_4: string;
    export { code_4 as code };
}
//# sourceMappingURL=errors.d.ts.map