/**
 * @param {Blockstore} blockstore
 * @param {PBNode} rootNode
 * @param {string} name
 */
export function loadSet(blockstore: Blockstore, rootNode: PBNode, name: string): AsyncGenerator<CID<any, number, number, import("multiformats/cid").Version>, void, undefined>;
/**
 * @param {Blockstore} blockstore
 * @param {string} type
 * @param {CID[]} cids
 */
export function storeSet(blockstore: Blockstore, type: string, cids: CID[]): Promise<{
    Name: string;
    Tsize: number;
    Hash: CID<unknown, 112, 18, 0>;
}>;
export type Datastore = import('interface-datastore').Datastore;
export type Blockstore = import('interface-blockstore').Blockstore;
export type PBNode = import('@ipld/dag-pb').PBNode;
export type Pin = {
    key: CID;
    data?: Uint8Array | undefined;
};
import { CID } from "multiformats/cid";
//# sourceMappingURL=pin-set.d.ts.map