/**
 * Function that has responsibility to retrieve version of repo from its root datastore's instance.
 * This function needs to be cross-repo-version functional to be able to fetch any version number,
 * even in case of change of repo's versioning.
 *
 * @param {import('../types').Backends} backends
 */
export function getVersion(backends: import('../types').Backends): Promise<number>;
/**
 * Function for setting a version in cross-repo-version manner.
 *
 * @param {number} version
 * @param {import('../types').Backends} backends
 */
export function setVersion(version: number, backends: import('../types').Backends): Promise<void>;
//# sourceMappingURL=version.d.ts.map